Bug 160538 - [clang] www/webkit-gtk2 build failure
Summary: [clang] www/webkit-gtk2 build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-07 09:50 UTC by Rene Ladan
Modified: 2011-10-14 17:10 UTC (History)
0 users

See Also:


Attachments
patch-PluginViewGtk.cpp (430 bytes, text/x-c++src; charset=US-ASCII)
2011-10-12 12:01 UTC, Andrei Lavreniyuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2011-09-07 09:50:09 UTC
when setting CC=clang CXX=clang++ CPP=clang -E and building www/webkit-gtk2 (version 1.4.2_1), it fails with:

  CXX    Source/WebCore/platform/text/libwebkitgtk_1_0_la-TextCodecICU.lo
In file included from Source/WebCore/plugins/gtk/PluginViewGtk.cpp:72:
In file included from Source/WebCore/plugins/gtk/gtk2xtbin.h:47:
/usr/local/include/X11/Intrinsic.h:66:15: error: typedef redefinition with
      different types ('char *' vs 'WTF::String')
typedef char *String;
              ^
./Source/JavaScriptCore/wtf/text/WTFString.h:87:7: note: previous definition is
      here
class String {
      ^
  CXX    Source/WebCore/platform/text/libwebkitgtk_1_0_la-TextBreakIteratorICU.lo
1 warning and 1 error generated.

Fix: 

not yet known.
Comment 1 Edwin Groothuis freebsd_committer 2011-09-07 09:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrei Lavreniyuk 2011-10-12 12:01:23 UTC
Hi!


Please view patch.

---
Best regards, Andrei Lavreniyuk.
Comment 3 Koop Mast freebsd_committer 2011-10-14 17:10:13 UTC
State Changed
From-To: open->closed

Committed thanks!